Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/SpecialPercept.cpp File Reference

Implementation of class SpecialPercept. More...

`#include "SpecialPercept.h"`
`#include "SlamPercept.h"`
`#include "Platform/SystemCall.h"`

Include dependency graph for SpecialPercept.cpp:

Go to the source code of this file.

## Functions
In & | operator>> (In &stream, BitePoint &bitePoint)
| Streaming operator that reads a BitePoint from a stream.
Out & | operator<< (Out &stream, const BitePoint &bitePoint)
| Streaming operator that writes a BitePoint to a stream.
In & | operator>> (In &stream, OCRedLine &ocRedLine)
| Streaming operator that reads a red line from a stream.
Out & | operator<< (Out &stream, const OCRedLine &ocRedLine)
| Streaming operator that writes a red line to a stream.
In & | operator>> (In &stream, OCBridge &ocBridge)
| Streaming operator that reads a OCBridge from a stream.
Out & | operator<< (Out &stream, const OCBridge &ocBridge)
| Streaming operator that writes a OCBridge to a stream.
In & | operator>> (In &stream, SpecialPercept &specialPercept)
| Streaming operator that reads a SpecialPercept from a stream.
Out & | operator<< (Out &stream, const SpecialPercept &specialPercept)
| Streaming operator that writes a SpecialPercept to a stream.

## Detailed Description

Implementation of class SpecialPercept.

Author:
  Matthias Juengel, Ronnie Brunn

Definition in file SpecialPercept.cpp.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | BitePoint & | bitePoint
| ) |

  | Streaming operator that reads a BitePoint from a stream. Parameters:
  stream | The stream from which is read.
  bitePoint | The BitePoint object.
Returns: The stream. Definition at line 39 of file SpecialPercept.cpp.

Out& operator<< | ( | Out & | stream,
|  | const BitePoint & | bitePoint
| ) |

  | Streaming operator that writes a BitePoint to a stream. Parameters:
  stream | The stream to write on.
  bitePoint | The BitePoint object.
Returns: The stream. Definition at line 52 of file SpecialPercept.cpp.

In& operator>> | ( | In & | stream,
|  | OCRedLine & | ocRedLine
| ) |

  | Streaming operator that reads a red line from a stream. Parameters:
  stream | The stream from which is read.
  ocRedLine | the ocRedLine object.
Returns: The stream. Definition at line 87 of file SpecialPercept.cpp.

Out& operator<< | ( | Out & | stream,
|  | const OCRedLine & | ocRedLine
| ) |

  | Streaming operator that writes a red line to a stream. Parameters:
  stream | The stream to write on.
  ocRedLine | The ocRedLine object.
Returns: The stream. Definition at line 97 of file SpecialPercept.cpp.

In& operator>> | ( | In & | stream,
|  | OCBridge & | ocBridge
| ) |

  | Streaming operator that reads a OCBridge from a stream. Parameters:
  stream | The stream from which is read.
  ocBridge | The OCBridge object.
Returns: The stream. Definition at line 134 of file SpecialPercept.cpp.

Out& operator<< | ( | Out & | stream,
|  | const OCBridge & | ocBridge
| ) |

  | Streaming operator that writes a OCBridge to a stream. Parameters:
  stream | The stream to write on.
  ocBridge | The OCBridge object.
Returns: The stream. Definition at line 149 of file SpecialPercept.cpp.

In& operator>> | ( | In & | stream,
|  | SpecialPercept & | specialPercept
| ) |

  | Streaming operator that reads a SpecialPercept from a stream. Parameters:
  stream | The stream from which is read.
  specialPercept | The SpecialPercept object.
Returns: The stream. Definition at line 195 of file SpecialPercept.cpp.

Out& operator<< | ( | Out & | stream,
|  | const SpecialPercept & | specialPercept
| ) |

  | Streaming operator that writes a SpecialPercept to a stream. Parameters:
  stream | The stream to write on.
  specialPercept | The SpecialPercept object.
Returns: The stream. Definition at line 226 of file SpecialPercept.cpp.